import { OracleDbDriver, OracleDbInterface, PoolParameters } from './OracleDbInterface';
import * as oracledb from 'oracledb';
export declare class OracleDb implements OracleDbInterface {
    constructor({ oracledb }: {
        oracledb: OracleDbDriver;
    });
    oracledb: OracleDbDriver;
    getDriver(): OracleDbDriver;
    getOrCreatePool({ user, password, connectString }: PoolParameters): Promise<oracledb.Pool | undefined>;
    closePool(): Promise<void>;
}
